%define module String-ShellQuote
%define name perl-%{module}
%define version 1.03
%define release %mkrel 3

Summary:	Quote strings for passing through the shell
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL or Artistic
Group:		Development/Perl
Source:		http://www.perl.com/CPAN-local/authors/id/R/RO/ROSCH/String-ShellQuote-%{version}.tar.bz2
URL:		http://search.cpan.org/dist/%{module}
BuildRequires:	perl-devel
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
This perl module contains some functions which are useful for quoting strings
which are going to pass through the shell or a shell-like object.

%prep
%setup -q -n %module-%version

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%__make

%check
%__make test

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%files
%defattr(-,root,root)
%doc README Changes
%{_bindir}/*
%{_mandir}/*/*
%{perl_vendorlib}/String/*

%clean
rm -rf $RPM_BUILD_ROOT




%changelog
* Fri Aug 17 2007 Thierry Vignaud <tvignaud@mandriva.com> 1.03-3mdv2008.0
+ Revision: 64806
- rebuild


* Sun Jan 14 2007 Olivier Thauvin <nanardon@mandriva.org> 1.03-2mdv2007.0
+ Revision: 108450
- rebuild

  + Guillaume Rousse <guillomovitch@mandriva.org>
    - Import perl-String-ShellQuote

* Fri May 27 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 1.03-1mdk
- 1.03

* Wed Feb 16 2005 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 1.02-1mdk
- 1.02

